# -*- coding: UTF-8 -*-
from utils import con_sql,tuple2dict,get_yesterday_date
from config import DIRECTORY_PATH


class ClkCidUidRate(object):
	def __init__(self, ndays, platform, cid_type):
		"""
		ndays : 1;2;3;4..  #The number of days from the current time
		platform : 'all';'ios';'android'
		cid_type : 'diary';'answer';'question';"everything";"nothing"...
		"""
		self.ndays = ndays
		if platform == "ios":
			self.platform = "='AppStore'"
		elif platform == "android":
			self.platform = "!='AppStore'"
		else:
			self.platform = " is not null"
		self.cid_type = cid_type

	def get_clk_cid_uid_rate(self, platform):
		"""
		platform : "所有";"苹果","安卓"   #方便显示
		rtype : list
		"""
		pass


	def result2file(self, result_lst, fpath):
		pass



def main():
	#1.点击diary用户占比
	click_diary_all = ClkCidUidRate(1,"all","diary").get_clk_cid_uid_rate("所有")
	click_diary_ios = ClkCidUidRate(1,"ios","diary").get_clk_cid_uid_rate("苹果")
	click_diary_android = ClkCidUidRate(1,"android","diary").get_clk_cid_uid_rate("安卓")
	click_diary_result = [click_diary_all,click_diary_ios,click_diary_android]
	#2.点击answer用户占比
	click_answer_all = ClkCidUidRate(1,"all","answer").get_clk_cid_uid_rate("所有")
	click_answer_ios = ClkCidUidRate(1,"ios","answer").get_clk_cid_uid_rate("苹果")
	click_answer_android = ClkCidUidRate(1,"android","answer").get_clk_cid_uid_rate("安卓")
	click_answer_result = [click_answer_all,click_answer_ios,click_answer_android]
	#3.点击question用户占比
	click_question_all = ClkCidUidRate(1,"all","question").get_clk_cid_uid_rate("所有")
	click_question_ios = ClkCidUidRate(1,"ios","question").get_clk_cid_uid_rate("苹果")
	click_question_android = ClkCidUidRate(1,"android","question").get_clk_cid_uid_rate("安卓")
	click_question_result = [click_question_all,click_question_ios,click_question_android]
	#4.有点击用户占比
	click_everything_all = ClkCidUidRate(1,"all","everything").get_clk_cid_uid_rate("所有")
	click_everything_ios = ClkCidUidRate(1,"ios","everything").get_clk_cid_uid_rate("苹果")
	click_everything_android = ClkCidUidRate(1,"android","everything").get_clk_cid_uid_rate("安卓")
	click_everything_result = [click_everything_all,click_everything_ios,click_everything_android]
	#5.无点击用户占比
	click_nothing_all = ClkCidUidRate(1,"all","nothing").get_clk_cid_uid_rate("所有")
	click_nothing_ios = ClkCidUidRate(1,"ios","nothing").get_clk_cid_uid_rate("苹果")
	click_nothing_android = ClkCidUidRate(1,"android","nothing").get_clk_cid_uid_rate("安卓")
	click_nothing_result = [click_nothing_all,click_nothing_ios,click_nothing_android]

